Upstream information

CVE-2016-3622 at MITRE

Description

The fpAcc function in tif_predict.c in the tiff2rgba tool in LibTIFF 4.0.6 and earlier allows remote attackers to cause a denial of service (divide-by-zero error) via a crafted TIFF image.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.30 4.96
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium Low
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.5
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entry: 974449 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libtiff5 >= 4.0.7-35.1
  • libtiff5-32bit >= 4.0.7-35.1
  • tiff >= 4.0.7-35.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1461
SUSE-SLE-DESKTOP-12-SP1-2016-1937
SUSE Linux Enterprise Desktop 12 SP2
  • libtiff5 >= 4.0.7-35.1
  • libtiff5-32bit >= 4.0.7-35.1
  • tiff >= 4.0.7-35.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2016-1937
SUSE Linux Enterprise Server 11 SP4
  • libtiff3 >= 3.8.2-141.168.1
  • libtiff3-32bit >= 3.8.2-141.168.1
  • libtiff3-x86 >= 3.8.2-141.168.1
  • tiff >= 3.8.2-141.168.1
Patchnames:
slessp4-tiff-12785
SUSE Linux Enterprise Server 12 SP1
  • libtiff5 >= 4.0.7-35.1
  • libtiff5-32bit >= 4.0.7-35.1
  • tiff >= 4.0.7-35.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1461
SUSE-SLE-SERVER-12-SP1-2016-1937
SUSE Linux Enterprise Server 12 SP2
  • libtiff5 >= 4.0.7-35.1
  • libtiff5-32bit >= 4.0.7-35.1
  • tiff >= 4.0.7-35.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2016-1937
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libtiff5 >= 4.0.7-35.1
  • tiff >= 4.0.7-35.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2016-1937
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libtiff-devel >= 3.8.2-141.168.1
  • libtiff-devel-32bit >= 3.8.2-141.168.1
  • tiff >= 3.8.2-141.168.1
Patchnames:
sdksp4-tiff-12785
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libtiff-devel >= 4.0.7-35.1
  • tiff >= 4.0.7-35.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1461
SUSE-SLE-SDK-12-SP1-2016-1937
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libtiff-devel >= 4.0.7-35.1
  • tiff >= 4.0.7-35.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2016-1937
openSUSE 13.1
  • libtiff-devel >= 4.0.6-8.28.1
  • libtiff-devel-32bit >= 4.0.6-8.28.1
  • libtiff5 >= 4.0.6-8.28.1
  • libtiff5-32bit >= 4.0.6-8.28.1
  • libtiff5-debuginfo >= 4.0.6-8.28.1
  • libtiff5-debuginfo-32bit >= 4.0.6-8.28.1
  • tiff >= 4.0.6-8.28.1
  • tiff-debuginfo >= 4.0.6-8.28.1
  • tiff-debugsource >= 4.0.6-8.28.1
Patchnames:
2016-1196
openSUSE 13.2
  • libtiff-devel >= 4.0.7-10.35.1
  • libtiff-devel-32bit >= 4.0.7-10.35.1
  • libtiff5 >= 4.0.7-10.35.1
  • libtiff5-32bit >= 4.0.7-10.35.1
  • libtiff5-debuginfo >= 4.0.7-10.35.1
  • libtiff5-debuginfo-32bit >= 4.0.7-10.35.1
  • tiff >= 4.0.7-10.35.1
  • tiff-debuginfo >= 4.0.7-10.35.1
  • tiff-debugsource >= 4.0.7-10.35.1
Patchnames:
openSUSE-2016-1186
openSUSE-2016-1425
openSUSE Leap 42.1
  • libtiff-devel >= 4.0.7-12.1
  • libtiff-devel-32bit >= 4.0.7-12.1
  • libtiff5 >= 4.0.7-12.1
  • libtiff5-32bit >= 4.0.7-12.1
  • libtiff5-debuginfo >= 4.0.7-12.1
  • libtiff5-debuginfo-32bit >= 4.0.7-12.1
  • tiff >= 4.0.7-12.1
  • tiff-debuginfo >= 4.0.7-12.1
  • tiff-debugsource >= 4.0.7-12.1
Patchnames:
openSUSE-2016-1187
openSUSE-2017-53
openSUSE Leap 42.2
  • libtiff-devel >= 4.0.6-10.1
  • libtiff-devel-32bit >= 4.0.7-12.1
  • libtiff5 >= 4.0.6-10.1
  • libtiff5-32bit >= 4.0.6-10.1
  • libtiff5-debuginfo >= 4.0.7-12.1
  • libtiff5-debuginfo-32bit >= 4.0.7-12.1
  • tiff >= 4.0.6-10.1
  • tiff-debuginfo >= 4.0.7-12.1
  • tiff-debugsource >= 4.0.7-12.1
Patchnames:
openSUSE Leap 42.2 GA libtiff-devel
openSUSE-2017-53
openSUSE Tumbleweed
  • libtiff-devel >= 4.0.7-1.1
  • libtiff-devel-32bit >= 4.0.7-1.1
  • libtiff5 >= 4.0.7-1.1
  • libtiff5-32bit >= 4.0.7-1.1
  • tiff >= 4.0.7-1.1
Patchnames:
openSUSE Tumbleweed GA libtiff-devel-32bit